#!/bin/sh
### This script is designed to find the most invariable sequence.
### Check the header of find_invariable.pl before run
### The first run should be made in manual mode to identify the most
### invariable sequence. Then this most invariable sequence should be put to 
### target file and the whole system should be run from the very beginning.
./find_invariable.pl A3_sorted.fa A3_target.fa A3_result.txt
### Uncoment the following 3 strings to build Sequence Logo for your target
#cp A3_result.txt A3_logosrc.txt
#./invtable2fa.pl A3_logosrc.txt logo
#weblogo -A dna -f A3_logosrc.fa -D fasta -o A3_logo.pdf -F pdf -P "Target A3"
###
### convert A3_result.txt table to format suitable for multiple alignment programs
./invtable2fa.pl A3_result.txt stat
### fftnsi is the MAFFT component. If it is not in your path, then correct to the full file name
### You could want to change number of threads too.
fftnsi --thread 8 --maxiterate 1000 --nuc --quiet A3_result.fa > A3_4stat.fa
### The following variant to run is intended for multiple alignment of very big input file 
### Experiments proof that up to 100 000 of sequences can be aligned at a reasonable time
### If you have more than 3000-5000 of input sequences it is could be wise to comment call to fftnsi
### and uncomment the following string:
#mafft-sparsecore.rb -i A3_result.fa -C '--nuc --thread 8' -A '--thread 8' -o inputorder > A3_4stat.fa
# cons_packdel_fa.pl script calculates the consensus, adds the string with it to the alignment
# and 'compress' the whole alignment to consensus
./cons_packdel_fa.pl A3_4stat.fa
./mut_fastaspeed.pl A3_4stat.cons.fa
### now file A3_4stat.cons.stat contains mutation statistics
